import request from '@/utils/request'

// 查询所有租户企微用户列表
export function listAllExternalContact(query) {
  return request({
    url: '/admin/qwContact/list',
    method: 'get',
    params: query
  })
}

// 查询指定租户企微用户列表
export function listByCompany(companyId) {
  return request({
    url: '/admin/qwContact/byCompany/' + companyId,
    method: 'get'
  })
}

// 获取企微用户详情
export function getExternalContact(id) {
  return request({
    url: '/admin/qwContact/' + id,
    method: 'get'
  })
}

// 导出企微外部联系人
export function exportAllExternalContact(query) {
  return request({ url: '/admin/qwContact/export', method: 'get', params: query })
}

// 获取统计信息
export function getStatistics() {
  return request({
    url: '/admin/qwContact/statistics',
    method: 'get'
  })
}